<?xml version="1.0" encoding="UTF-8"?>
<device image="IMG-000344.png" type="DMXDevice" dmxcversion="3.1.0" ddfversion="1.1.0">
  <information>
    <ddf-library-id>1449</ddf-library-id>
    <model>MAC 575 Krypton</model>
    <vendor>Martin</vendor>
    <author>Patrick Grote</author>
    <mode>16BT</mode>
  </information>
  <functions>
    <shutter dmxchannel="0">
      <step type="closed" mindmx="0" maxdmx="19"/>
      <step type="open" mindmx="20" maxdmx="49"/>
      <step type="open" mindmx="73" maxdmx="79"/>
      <step type="open" mindmx="120" maxdmx="127"/>
      <step type="open" mindmx="188" maxdmx="190"/>
      <step type="open" mindmx="203" maxdmx="207"/>
      <step type="open" mindmx="218" maxdmx="227"/>
      <step type="open" mindmx="238" maxdmx="247"/>
    </shutter>
    <strobe dmxchannel="0">
      <range type="linear" mindmx="72" maxdmx="50" minval="0.5" maxval="10"/>
      <range type="pulse up" mindmx="99" maxdmx="80" minval="0.5" maxval="10"/>
      <range type="pulse down" mindmx="119" maxdmx="100" minval="0.5" maxval="10"/>
      <range type="random" mindmx="187" maxdmx="128" minval="0.5" maxval="10"/>
      <range type="random pulse up" mindmx="196" maxdmx="191" minval="0.5" maxval="10"/>
      <range type="random pulse down" mindmx="202" maxdmx="197" minval="0.5" maxval="10"/>
    </strobe>
    <dimmer dmxchannel="1"/>
    <colorwheel dmxchannel="2">
      <step type="color" val="#ffffff" caption="White" mindmx="0" maxdmx="0"/>
      <step type="color" val="#1515ff" caption="Medium Blue" mindmx="17" maxdmx="17"/>
      <step type="color" val="#00d700" caption="Light Green" mindmx="34" maxdmx="34"/>
      <step type="color" val="#f73e06" caption="Deep Orange" mindmx="51" maxdmx="51"/>
      <step type="color" val="#ffed0d" caption="Light Yellow" mindmx="68" maxdmx="68"/>
      <step type="color" val="#fb2dad" caption="Pink" mindmx="85" maxdmx="85"/>
      <step type="color" val="#df0994" caption="Magenta" mindmx="102" maxdmx="102"/>
      <step type="color" val="#50009f" caption="Deep Blue" mindmx="119" maxdmx="119"/>
      <step type="color" val="#bf0412" caption="Red" mindmx="136" maxdmx="136"/>
      <step type="color" val="#ffffff" caption="White" mindmx="153" maxdmx="153"/>
      <rainbow>
        <range type="cw" mindmx="219" maxdmx="199" minval="0.1" maxval="8"/>
        <range type="ccw" mindmx="220" maxdmx="240" minval="0.1" maxval="8"/>
      </rainbow>
      <random>
        <step type="fast" mindmx="241" maxdmx="245"/>
        <step type="medium" mindmx="246" maxdmx="250"/>
        <step type="slow" mindmx="251" maxdmx="255"/>
      </random>
    </colorwheel>
    <colorwheel dmxchannel="3">
      <step type="color" val="#ffffff" caption="White" mindmx="0" maxdmx="0"/>
      <step type="color" val="#00ce00" caption="Green" mindmx="17" maxdmx="17"/>
      <step type="color" val="#9c39b5" caption="Purple" mindmx="34" maxdmx="34"/>
      <step type="color" val="#0171fb" caption="Sky Blue" mindmx="51" maxdmx="51"/>
      <step type="color" val="#d90303" caption="Deep Golden Amber" mindmx="68" maxdmx="68"/>
      <step type="color" val="#219e82" caption="Aqua Green" mindmx="85" maxdmx="85"/>
      <step type="color" val="#9a0eb8" caption="Deep Purple" mindmx="102" maxdmx="102"/>
      <step type="color" val="#01e3f1" caption="Light Blue" mindmx="119" maxdmx="119"/>
      <step type="color" val="#f8e5d5" caption="CTC 5500-4200 K" mindmx="136" maxdmx="136"/>
      <step type="color" val="#ffffff" caption="White" mindmx="153" maxdmx="153"/>
      <rainbow>
        <range type="cw" mindmx="219" maxdmx="199" minval="0.1" maxval="8"/>
        <range type="ccw" mindmx="220" maxdmx="240" minval="0.1" maxval="8"/>
      </rainbow>
      <random>
        <step type="fast" mindmx="241" maxdmx="245"/>
        <step type="medium" mindmx="246" maxdmx="250"/>
        <step type="slow" mindmx="251" maxdmx="255"/>
      </random>
    </colorwheel>
    <gobowheel dmxchannel="4">
      <goborotation dmxchannel="5" finedmxchannel="6">
        <step type="stop" mindmx="0" maxdmx="2"/>
        <step type="stop" mindmx="253" maxdmx="255"/>
        <range type="cw" mindmx="3" maxdmx="127" minval="0.1" maxval="8"/>
        <range type="ccw" mindmx="252" maxdmx="128" minval="0.1" maxval="8"/>
      </goborotation>
      <goboindex dmxchannel="5" finedmxchannel="6">
        <range mindmx="0" maxdmx="255" range="395"/>
      </goboindex>
      <step type="open" caption="Open" mindmx="0" maxdmx="11"/>
      <step type="gobo" caption="Laser Dots" val="ICON-000630.png">
        <step for="goborotation" mindmx="36" maxdmx="39"/>
        <step for="goboindex" mindmx="12" maxdmx="15"/>
      </step>
      <step type="gobo" caption="Ovals" val="ICON-000874.png">
        <step for="goborotation" mindmx="40" maxdmx="43"/>
        <step for="goboindex" mindmx="16" maxdmx="19"/>
      </step>
      <step type="gobo" caption="Three Rings" val="ICON-000554.png">
        <step for="goborotation" mindmx="44" maxdmx="47"/>
        <step for="goboindex" mindmx="20" maxdmx="23"/>
      </step>
      <step type="gobo" caption="Fractal" val="ICON-000667.png">
        <step for="goborotation" mindmx="48" maxdmx="51"/>
        <step for="goboindex" mindmx="24" maxdmx="27"/>
      </step>
      <step type="gobo" caption="Red Eye" val="ICON-000670.png">
        <step for="goborotation" mindmx="52" maxdmx="55"/>
        <step for="goboindex" mindmx="28" maxdmx="31"/>
      </step>
      <step type="gobo" caption="Blue Ripple" val="ICON-000556.png">
        <step for="goborotation" mindmx="56" maxdmx="59"/>
        <step for="goboindex" mindmx="32" maxdmx="35"/>
      </step>
      <wheelrotation>
        <range type="cw" mindmx="210" maxdmx="232" minval="0.1" maxval="2"/>
        <range type="ccw" mindmx="255" maxdmx="233" minval="0.1" maxval="2"/>
      </wheelrotation>
    </gobowheel>
    <gobowheel dmxchannel="7">
      <step type="open" caption="Open" mindmx="0" maxdmx="0"/>
      <step type="gobo" caption="Inspiral" mindmx="11" maxdmx="11" val="ICON-000668.png"/>
      <step type="gobo" caption="Spiral Dots" mindmx="22" maxdmx="22" val="ICON-000686.png"/>
      <step type="gobo" caption="Radial Circles" mindmx="33" maxdmx="33" val="ICON-000897.png"/>
      <step type="gobo" caption="Whirlpool" mindmx="44" maxdmx="44" val="ICON-000870.png"/>
      <step type="gobo" caption="Triangles" mindmx="55" maxdmx="55" val="ICON-000929.png"/>
      <step type="gobo" caption="DNA" mindmx="66" maxdmx="66" val="ICON-000666.png"/>
      <step type="gobo" caption="Radial Breakup" mindmx="77" maxdmx="77" val="ICON-000669.png"/>
      <step type="gobo" caption="Warp Speed" mindmx="88" maxdmx="88" val="ICON-000688.png"/>
      <step type="gobo" caption="Star Field" mindmx="99" maxdmx="99" val="ICON-000687.png"/>
      <wheelrotation>
        <range type="cw" mindmx="221" maxdmx="203" minval="0.1" maxval="2"/>
        <range type="ccw" mindmx="222" maxdmx="240" minval="0.1" maxval="2"/>
      </wheelrotation>
      <random>
        <step type="fast" mindmx="241" maxdmx="245"/>
        <step type="medium" mindmx="246" maxdmx="250"/>
        <step type="slow" mindmx="251" maxdmx="255"/>
      </random>
    </gobowheel>
    <prism dmxchannel="9">
      <prismrotation/>
      <step type="open" mindmx="0" maxdmx="19" caption="Excluded"/>
      <step type="open" mindmx="150" maxdmx="255" caption="Excluded"/>
      <step type="prism" mindmx="20" maxdmx="149" caption="Inserted">
        <step type="stop" handler="prismrotation" mindmx="80" maxdmx="89"/>
        <range type="ccw" handler="prismrotation" mindmx="79" maxdmx="20" minval="0.1" maxval="3"/>
        <range type="cw" handler="prismrotation" mindmx="90" maxdmx="149" minval="0.1" maxval="3"/>
      </step>
    </prism>
    <iris dmxchannel="10">
      <range mindmx="0" maxdmx="199" minval="0" maxval="100"/>
      <range mindmx="200" maxdmx="215" minval="0" maxval="0"/>
    </iris>
    <focus dmxchannel="11">
      <range type="linear" mindmx="255" maxdmx="0" minval="14" maxval="30"/>
    </focus>
    <zoom dmxchannel="12">
      <range type="linear" mindmx="255" maxdmx="0" minval="14" maxval="30"/>
    </zoom>
    <position>
      <pan dmxchannel="13" finedmxchannel="14">
        <range range="540"/>
      </pan>
      <tilt dmxchannel="15" finedmxchannel="16">
        <range range="246"/>
      </tilt>
    </position>
    <ptspeed dmxchannel="17">
      <range type="linear" mindmx="245" maxdmx="2" minval="0" maxval="100"/>
    </ptspeed>
    <const dmxchannel="18" val="1"/>
  </functions>
  <procedures>
    <reset>
      <set dmxchannel="0" value="210"/>
      <hold value="6000"/>
      <restore dmxchannel="0"/>
    </reset>
    <lamp_on>
      <set dmxchannel="0" value="235"/>
      <hold value="6000"/>
      <restore dmxchannel="0"/>
    </lamp_on>
    <lamp_off>
      <set dmxchannel="0" value="255"/>
      <hold value="6000"/>
      <restore dmxchannel="0"/>
    </lamp_off>
  </procedures>
</device>
